php 的rabbitmq 扩展模块amqp安装

使用php的pecl安装

pecl  install amqp

使用PHP开发,要使用中间队列rabbitmq, 必须要安装PHP的扩展模块amqp, 服务器的环境是php7.1.18 ,centos 6.8, nginx 1.8

使用PHP的PECL命令:/usr/local/php/bin/pecl install amqp 安装amqp 一直报如下错:

checking for amqp using pkg-config... configure: error: librabbitmq not found
    ERROR: `/tmp/pear/temp/amqp/configure --with-librabbitmq-dir' failed

看报错原因是缺少librabbitmq 库文件,整个解决步骤如下:

第一步安装 librabbitmq
安装librabbitmq有两种方法,具体方法如下:
第一种方法:直接使用yum 安装 librabbitmq , 该方法有可能行不通,就是你的YUM环境配置的问题,搜索不到librabbitmq,就无法安装, 那就要转到到下面的第二种方法。
第二种方法:安装rabbitmq-c-0.7.1

下载地址为:wget https://github.com/alanxz/rabbitmq-c/releases/download/v0.7.1/rabbitmq-c-0.7.1.tar.gz
tar -xzvf rabbitmq-c-0.7.1.tar.gz

cd rabbitmq-c-0.7.1

./configure --prefix=/usr/local/rabbitmq-c-0.7.1

make&&make install

安装完毕之后,就可以继续安装amqp
第二步安装amqp
运行命令:/usr/local/php/bin/pecl install amqp 运行该命令会出现如下提示,
Set the path to librabbitmq install prefix [autodetect] :
如果你是用第一种方法 yum 直接安装的librabbitmq,就直接按回车就可以,如果是第二种方法,就需要将安装rabbitmq-c-0.7.1的目录输入进去 /usr/local/rabbitmq-c-0.7.1 然后按回车。
第三步就是添加扩展模块
amqp安装完成之后,系统会提示你要你将amqp.so 扩展模块加入到PHP的配置文件
重启 php-fpm
第四部检查amqp模块安装
使用命令phpinfo 就可以查看,出现如下,就表示安装成功

AMQP protocol version 0-9-1 
librabbitmq version 0.5.2
Last modification:October 25th, 2019 at 03:34 pm
如果觉得我的文章对你有用,请随意赞赏

Leave a Comment